Bug 11421 - Error calling startx or startkde
Error calling startx or startkde
Product: Red Hat Linux
Classification: Retired
Component: X11R6-contrib (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-05-15 12:37 EDT by v.schoen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-25 18:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description v.schoen 2000-05-15 12:37:36 EDT
Hi Gurus,

I'm a newbie and i installed Redhat 6.1 on a i386. First I installed
Server, then I have upgraded my installation and have installed kde.

When I try to start X (startx) or KDE (startkde) I get the following
execve failed for /etc/X11/X (errno 2)
_X11TransSocketUNIXConnect: Can't connect: errno=111
xinit: unable to connect to X server

Any help would be appriciated.


Comment 1 dlwatson 2000-05-25 18:33:59 EDT
I Have the same problem.  I am running a Cirrus Logic card w 1meg on board and
an old Wetech SVGA monitor that is capable of 800x600. The xserver ran fine
under RH 6.0, but will not connect on the first try in 6.1.  It will however
connect if type alt+f1 to get back to a console then type startx again. Is there
anything I can do to get the xserver to connect on the first ry. I have run
Xconfigurator over and ovedr again tweaking the setup but I still get the same
Comment 2 Preston Brown 2000-06-26 15:21:36 EDT
this was fixed with an X errata, get the latest erratas for your platform or
upgrade to 6.2.

Note You need to log in before you can comment on or make changes to this bug.